body {
  height: 100%;
  font-family: "Montserrat", sans-serif;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

.overall-container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  gap: 20px;
  width: 90%;
  height: 100%;
  margin-left: 5%;
  margin-right: 5%;
}

.background {
  display: flex;
  height: 100vh;
  justify-content: flex-end;
  padding: 0;
}

.center-image {
  width: 480px;
  height: 600px;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  margin-right: 150px;
  border: 1px solid rgb(188, 188, 188);
  padding: 0px;
  border-radius: 5px;
}

h2 {
  font-size: 40px;
  margin: 0;
  line-height: 1.2;
  white-space: nowrap;
  margin-bottom: 15px;
  width: fit-content;
}

.form-container {
  width: 60%;
}

.form-container p {
  font-weight: 500;
  width: fit-content;
  font-size: 16px;
  line-height: 1.4;
  margin-bottom: 20px;
}

.second {
  color: #dd5471;
}

input[type="text"]:not(#searchvalue) {
  width: 90%;
  padding: 10px 20px;
  font-size: 16px;
  border: 1px solid #8d8a8a;
  border-radius: 2px;
  box-sizing: border-box;
  background-color: transparent;
  margin-bottom: 20px;
}

input[type="text"]:focus {
  border-color: #dd5471;
  outline: none;
}

input[type="number"] {
  width: 90%;
  padding: 10px 20px;
  font-size: 16px;
  border: 1px solid #8d8a8a;
  border-radius: 2px;
  box-sizing: border-box;
  background-color: transparent;
  margin-bottom: 20px;
}

input[type="number"]:focus {
  border-color: #dd5471;
  outline: none;
}

select {
  width: 90%;
  padding: 10px 20px;
  font-size: 16px;
  border: 1px solid #8d8a8a;
  border-radius: 2px;
  box-sizing: border-box;
  background-color: transparent;
  margin-bottom: 20px;
  color: #6f6f6f;
}

select:focus {
  border-color: #dd5471;
  outline: none;
}

.send-button {
  width: 90%;
  padding: 10px;
  font-size: 16px;
  border: none;
  border-radius: 2px;
  background-color: #dd5471;
  color: white;
  cursor: pointer;
  margin-top: 10px;
  transition: background-color 0.3s;
}

.send-button:hover {
  background-color: #dd5471;
}

.contact-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 50px;
  flex-wrap: nowrap;
  width: 90%;
  white-space: nowrap;
  text-overflow: ellipsis;
  gap: 10px;
}

.info-item {
  display: flex;
  align-items: center;
  white-space: nowrap;
}

.info-icon {
  width: 24px;
  height: 24px;
  margin-right: 8px;
}

.info-item span {
  font-size: 14px;
  font-family: "Montserrat", sans-serif;
}

#phone {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: 15px;
}

.label {
  font-weight: bold;
  margin-bottom: auto;
}

.number {
  color: #dd5471;
}

.map-location {
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
  width: 40%;
}

iframe {
  width: 100%;
  max-width: 860px;
  height: 500px;
  border: none;
  border-radius: 10px;
}

.phonenumber-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
}

.email-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
}

@media (max-width: 845px) {
  .overall-container {
    display: block;
    padding: 0;
    height: auto;
  }

  .form-container {
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .form-container p {
    font-weight: 500;
    width: 95%;
    font-size: 16px;
    line-height: 1.4;
    text-align: center;
  }

  h2 {
    margin-top: 10px;
    margin-bottom: 0px;
  }

  input[type="text"]:not(#searchvalue) {
    width: 400px
  }
  
  input[type="number"] {
    width: 400px;
  }

  .contact-info {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    flex-wrap: nowrap;
    width: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    gap: 20px;
    margin-bottom: 20px;
  }

  select {
    width: 400px;
  }

  .send-button {
    width: 400px;
  }

  .map-location {
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
    width: 100%;
    padding-bottom: 20px;
  }

  iframe {
    width: 80%;
    border: none;
    border-radius: 10px;
  }
}

@media (max-width: 600px) {
  h2 {
    font-size: 40px;
  }
}

@media (max-width: 431px) {
  input[type="text"]:not(#searchvalue) {
    width: 90%;
  }
  
  input[type="number"] {
    width: 90%;
  }

  select {
    width: 90%;
  }

  .send-button {
    width: 90%;
  }
}

@media (max-width: 380px) {
  .contact-info {
    flex-direction: column;
  }
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

@media (max-width:886px) and (min-width:846px) {
  .overall-container{
    margin-top: 10px;
  }
}

.loader-container {
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 9999;
  display: none;
}

.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  border-top: 4px solid #1D3178;
  border-right: 4px solid transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

.loader::after {
  content: '';
  box-sizing: border-box;
  position: absolute;
  left: 0;
  top: 0;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  border-bottom: 4px solid #FB2E86;
  border-left: 4px solid transparent;
}

@keyframes rotation {
  0% {
      transform: rotate(0deg);
  }

  100% {
      transform: rotate(360deg);
  }
}

.popup-container {
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  background: white;
  z-index: 9999;
  display: none;
}

.messagepopup-outercontainer{
  width: 100vw;
  height: 100vh;
  background-color: white;
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 9999;
}